"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_1 = require("@testing-library/react");
var contexts_1 = require("../../contexts");
var Button_1 = require("./Button");
var button;
describe('when rendered without props', function () {
    beforeEach(function () {
        react_1.render(React.createElement(contexts_1.ContextProvider, null,
            React.createElement(Button_1.Button, null)));
        button = react_1.screen.getByRole('button');
    });
    test('should render a button with type "button"', function () {
        expect(button).toHaveAttribute('type', 'button');
    });
    test('should render a button with the button class name', function () {
        expect(button.classList).toContain('rdp-button');
    });
    test('should render a button with the reset class name', function () {
        expect(button.classList).toContain('rdp-button_reset');
    });
});
describe('when using a class name from props', function () {
    beforeEach(function () {
        react_1.render(React.createElement(contexts_1.ContextProvider, null,
            React.createElement(Button_1.Button, { className: "foo" })));
        button = react_1.screen.getByRole('button');
    });
    test('should add the class name', function () {
        expect(button.classList).toContain('foo');
    });
});
describe('when using custom class names from DayPicker props', function () {
    beforeEach(function () {
        react_1.render(React.createElement(contexts_1.ContextProvider, { classNames: { button: 'foo-from-props' } },
            React.createElement(Button_1.Button, null)));
        button = react_1.screen.getByRole('button');
    });
    test('should add the class name', function () {
        expect(button.classList).toContain('foo-from-props');
    });
});
describe('when using a inline style from props', function () {
    beforeEach(function () {
        react_1.render(React.createElement(contexts_1.ContextProvider, null,
            React.createElement(Button_1.Button, { style: { color: 'red' } })));
        button = react_1.screen.getByRole('button');
    });
    test('should apply the style', function () {
        expect(button.style.color).toBe('red');
    });
});
describe('when using a inline style from DayPicker props', function () {
    beforeEach(function () {
        react_1.render(React.createElement(contexts_1.ContextProvider, { styles: { button: { color: 'blue' } } },
            React.createElement(Button_1.Button, null)));
        button = react_1.screen.getByRole('button');
    });
    test('should apply the style', function () {
        expect(button.style.color).toBe('blue');
    });
});
//# sourceMappingURL=Button.test.js.map