"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var timekeeper_1 = __importDefault(require("timekeeper"));
var FrozenDate = new Date(1979, 8);
beforeEach(function () { return timekeeper_1.default.freeze(FrozenDate); });
afterEach(function () { return timekeeper_1.default.reset(); });
describe('when navigation is disabled', function () {
    test.todo('should display the caption label');
    test.todo('should not render the drop-downs');
    test.todo('should not render the navigation');
});
describe('when navigation is enabled', function () {
    describe('when the caption layout is "drop-down"', function () {
        test.todo('should apply the `caption_drop-downs` class name');
        test.todo('should apply the `caption_drop-downs` style');
        test.todo('should render the months drop-down');
        test.todo('should render the years drop-down');
        describe('when a month is selected from the month drop-down', function () {
            test.todo('should go to the selected month');
            test.todo('should cal the `onMonthChange` callback');
        });
        describe('when a year is selected from the year drop-down', function () {
            test.todo('should go to the selected month');
            test.todo('should cal the `onMonthChange` callback');
        });
    });
    describe('when the caption layout is "buttons"', function () {
        test.todo('should display the caption label');
        test.todo('should display the navigation');
        describe('when rendering multiple months', function () {
            describe('if is not the last month', function () {
                test.todo('should hide the next button');
            });
            describe('if is not the first month', function () {
                test.todo('should hide the previous button');
            });
        });
        describe('when clicking the previous button', function () {
            test.todo('should go to the previous month');
            test.todo('should call the `onMonthChange` callback');
            describe('if no previous month to navigate', function () {
                test.todo('should not change the month');
                test.todo('should not call the `onMonthChange` callback');
            });
            describe('if no next month to navigate', function () {
                test.todo('should not change the month');
                test.todo('should not call the `onMonthChange` callback');
            });
        });
        describe('when clicking the next button', function () {
            test.todo('should go to the next month');
            test.todo('should call the `onMonthChange` callback');
            describe('if no next month to navigate', function () {
                test.todo('should not change the month');
                test.todo('should not call the `onMonthChange` callback');
            });
            describe('if no next month to navigate', function () {
                test.todo('should not change the month');
                test.todo('should not call the `onMonthChange` callback');
            });
        });
    });
});
timekeeper_1.default.reset();
//# sourceMappingURL=Caption.test.js.map