"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Day = void 0;
var React = __importStar(require("react"));
var date_fns_1 = require("date-fns");
var components_1 = require("..");
var contexts_1 = require("../../contexts");
var hooks_1 = require("../../hooks");
var useDayFocus_1 = require("./hooks/useDayFocus");
/**
 * The content of a day cell – as a button or span element according to its
 * modifiers.
 */
function Day(props) {
    var buttonRef = React.useRef(null);
    var date = props.date, displayMonth = props.displayMonth;
    var context = contexts_1.useDayPicker();
    var _a = contexts_1.useSelectSingle(), isSingleMode = _a.isSingleMode, single = __rest(_a, ["isSingleMode"]);
    var _b = contexts_1.useSelectMultiple(), isMultipleMode = _b.isMultipleMode, multiple = __rest(_b, ["isMultipleMode"]);
    var _c = contexts_1.useSelectRange(), isRangeMode = _c.isRangeMode, range = __rest(_c, ["isRangeMode"]);
    var _d = useDayFocus_1.useDayFocus(date, buttonRef), focus = _d.focus, blur = _d.blur, focusOnKeyDown = _d.focusOnKeyDown, isFocused = _d.isFocused;
    var _e = hooks_1.useModifiers(date), modifiers = _e.modifiers, modifierClassNames = _e.modifierClassNames, modifierStyle = _e.modifierStyle;
    var DayContent = context.components.DayContent, formatDay = context.formatters.formatDay, labelDay = context.labels.labelDay, locale = context.locale, showOutsideDays = context.showOutsideDays;
    if (modifiers.hidden)
        return React.createElement(React.Fragment, null);
    // #region Event handlers
    var handleClick = function (e) {
        var _a, _b, _c, _d;
        if (isSingleMode) {
            (_a = single.handleDayClick) === null || _a === void 0 ? void 0 : _a.call(single, date, modifiers, e);
        }
        else if (isMultipleMode) {
            (_b = multiple.handleDayClick) === null || _b === void 0 ? void 0 : _b.call(multiple, date, modifiers, e);
        }
        else if (isRangeMode) {
            (_c = range.handleDayClick) === null || _c === void 0 ? void 0 : _c.call(range, date, modifiers, e);
        }
        (_d = context.onDayClick) === null || _d === void 0 ? void 0 : _d.call(context, date, modifiers, e);
    };
    var handleFocus = function (e) {
        var _a;
        focus(date);
        (_a = context.onDayFocus) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleBlur = function (e) {
        var _a;
        blur();
        (_a = context.onDayBlur) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleKeyDown = function (e) {
        var _a;
        focusOnKeyDown(e);
        (_a = context.onDayKeyDown) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleKeyUp = function (e) {
        var _a;
        (_a = context.onDayKeyUp) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleMouseEnter = function (e) {
        var _a;
        (_a = context.onDayMouseEnter) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleMouseLeave = function (e) {
        var _a;
        (_a = context.onDayMouseLeave) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleTouchCancel = function (e) {
        var _a;
        (_a = context.onDayTouchCancel) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleTouchEnd = function (e) {
        var _a;
        (_a = context.onDayTouchEnd) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleTouchMove = function (e) {
        var _a;
        (_a = context.onDayTouchMove) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    var handleTouchStart = function (e) {
        var _a;
        (_a = context.onDayTouchStart) === null || _a === void 0 ? void 0 : _a.call(context, date, modifiers, e);
    };
    // #endregion
    var classNames = [context.classNames.day].concat(modifierClassNames);
    var style = __assign(__assign({}, context.styles.day), modifierStyle);
    var isOutside = !date_fns_1.isSameMonth(date, displayMonth);
    if (isOutside && !showOutsideDays) {
        return React.createElement(React.Fragment, null);
    }
    if (isOutside) {
        classNames.push(context.classNames.day_outside);
        style = __assign(__assign({}, context.styles), context.styles.day_outside);
    }
    var ariaLabel = labelDay(date, modifiers, { locale: locale });
    var dayContent = (React.createElement(DayContent, { "aria-label": ariaLabel, date: date, displayMonth: displayMonth, format: formatDay, hiddenClassName: context.classNames.vhidden, hiddenStyle: context.styles.vhidden, locale: locale, modifiers: modifiers, outside: isOutside, showOutsideDays: showOutsideDays }));
    var isControlled = isSingleMode || isMultipleMode || isRangeMode;
    var className = classNames.join(' ');
    if (!isControlled && !context.onDayClick) {
        return (React.createElement("div", { style: style, className: className }, dayContent));
    }
    var ariaPressed = modifiers.selected;
    var isDisabled = modifiers.disabled;
    var tabIndex = isDisabled || isFocused ? -1 : 0;
    return (React.createElement(components_1.Button, { ref: buttonRef, "aria-pressed": ariaPressed, style: style, disabled: isDisabled, className: className, tabIndex: tabIndex, onClick: handleClick, onFocus: handleFocus, onBlur: handleBlur, onKeyDown: handleKeyDown, onKeyUp: handleKeyUp, onMouseEnter: handleMouseEnter, onMouseLeave: handleMouseLeave, onTouchCancel: handleTouchCancel, onTouchEnd: handleTouchEnd, onTouchMove: handleTouchMove, onTouchStart: handleTouchStart }, dayContent));
}
exports.Day = Day;
//# sourceMappingURL=Day.js.map