"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWeekdays = void 0;
var date_fns_1 = require("date-fns");
/**
 * Generate a series of 7 days, starting from the week, to use for formatting
 * the weekday names (Monday, Tuesday, etc.).
 */
function getWeekdays(locale) {
    var start = date_fns_1.startOfWeek(new Date(), { locale: locale });
    var days = [];
    for (var i = 0; i < 7; i++) {
        var day = date_fns_1.addDays(start, i);
        days.push(day);
    }
    return days;
}
exports.getWeekdays = getWeekdays;
//# sourceMappingURL=getWeekdays.js.map