"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getInitialMonth = void 0;
var date_fns_1 = require("date-fns");
/** Return the initial month according to the given options. */
function getInitialMonth(context) {
    var month = context.month, defaultMonth = context.defaultMonth, today = context.today;
    var initialMonth = month || defaultMonth || today || new Date();
    var toDate = context.toDate, fromDate = context.fromDate, _a = context.numberOfMonths, numberOfMonths = _a === void 0 ? 1 : _a;
    // Fix the initialMonth if is after the to-date
    if (toDate && date_fns_1.differenceInCalendarMonths(toDate, initialMonth) < 0) {
        var offset = -1 * (numberOfMonths - 1);
        initialMonth = date_fns_1.addMonths(toDate, offset);
    }
    // Fix the initialMonth if is before the from-date
    if (fromDate && date_fns_1.differenceInCalendarMonths(initialMonth, fromDate) < 0) {
        initialMonth = fromDate;
    }
    return date_fns_1.startOfMonth(initialMonth);
}
exports.getInitialMonth = getInitialMonth;
//# sourceMappingURL=getInitialMonth.js.map