import * as React from 'react';
import { render, screen } from '@testing-library/react';
import tk from 'timekeeper';
import { ContextProvider as DayPicker } from '../../contexts';
import { CaptionLabel } from './CaptionLabel';
var FrozenDate = new Date(1979, 8);
beforeEach(function () { return tk.freeze(FrozenDate); });
afterEach(function () { return tk.reset(); });
test('should render the formatted display month', function () {
    render(React.createElement(DayPicker, null,
        React.createElement(CaptionLabel, { displayMonth: FrozenDate })));
    var label = screen.getByText(/september 1979/i);
    expect(label).toBeInTheDocument();
});
test('should apply the `caption_label` class name', function () {
    render(React.createElement(DayPicker, { classNames: { caption_label: 'foo' } },
        React.createElement(CaptionLabel, { displayMonth: FrozenDate })));
    var label = screen.getByText(/september 1979/i);
    expect(label).toBeInTheDocument();
});
//# sourceMappingURL=CaptionLabel.test.js.map