import * as React from 'react';
import { render } from '@testing-library/react';
import { ContextProvider as DayPicker } from '../../contexts';
import { IconDropdown } from './IconDropdown';
var icon;
var result;
describe('when rendered without props', function () {
    beforeEach(function () {
        result = render(React.createElement(DayPicker, null,
            React.createElement(IconDropdown, null)));
        icon = result.container.children[0];
    });
    test('should render a svg element', function () {
        expect(icon.tagName).toBe('svg');
    });
});
describe('when using a class name from props', function () {
    beforeEach(function () {
        result = render(React.createElement(DayPicker, null,
            React.createElement(IconDropdown, { className: "foo" })));
        icon = result.container.children[0];
    });
    test('should add the class name', function () {
        expect(icon.classList).toContain('foo');
    });
});
//# sourceMappingURL=IconDropdown.test.js.map